net.sf.jasperreports.olap

## Class JROlapDataSource

- java.lang.Object
- - net.sf.jasperreports.olap.JROlapDataSource

- All Implemented Interfaces:
    JRDataSource, MappingMetadata
  Direct Known Subclasses:
    JRMondrianDataSource, Olap4jDataSource

      public class JROlapDataSource
      extends java.lang.Object
      implements JRDataSource, MappingMetadata

  Version:
    $Id: JROlapDataSource.java 6912 2014-02-18 17:32:41Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JROlapDataSource.DataFieldMatcher`
    `protected class` | `JROlapDataSource.FieldMatcher`
    `protected class` | `JROlapDataSource.MemberFieldMatcher`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JROlapResultAxis[]` | `axes`
    `protected int[]` | `axisPositions`
    `protected boolean` | `dataField`
    `protected java.util.Map<java.lang.Object,JROlapDataSource.FieldMatcher>` | `fieldMatchers`
    `protected int[][]` | `fieldsMaxDepths`
    `protected java.util.Map<java.lang.Object,java.lang.Object>` | `fieldValues`
    `protected boolean` | `first`
    `protected int` | `hierarchiesCount`
    `protected boolean` | `iterate`
    `protected boolean[]` | `iteratePositions`
    `protected int[][]` | `maxDepths`
    `protected JROlapResult` | `olapResult`
    `protected JROlapHierarchy[][]` | `queryHierarchies`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JROlapDataSource(JRDataset dataset, JROlapResult result)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDimensionIndex(Axis axis, java.lang.String dimension)`
    `protected java.lang.String` | `getFieldMapping(JRField field)`
    `java.lang.Object` | `getFieldValue(JRField jrField)` Convert the value of the data type of the Field
    `int` | `getLevelDepth(TuplePosition pos, java.lang.String levelName)`
    `int` | `getTuplePosition(int axisIndex, Tuple tuple)`
    `protected boolean` | `matchesDimensionName(JROlapHierarchy hierarchy, java.lang.String dimensionName)`
    `boolean` | `next()` Tries to position the cursor on the next element in the data source.
    `protected boolean` | `nextPositions()`
    `protected void` | `processMemberInfo(Member member)`
    `protected void` | `setMatchMemberDepth(Member memberInfo, JROlapMember member)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### olapResult

          protected final JROlapResult olapResult

    - #### axes

          protected JROlapResultAxis[] axes

    - #### queryHierarchies

          protected final JROlapHierarchy[][] queryHierarchies

    - #### hierarchiesCount

          protected final int hierarchiesCount

    - #### fieldMatchers

          protected java.util.Map<java.lang.Object,JROlapDataSource.FieldMatcher> fieldMatchers

    - #### fieldsMaxDepths

          protected int[][] fieldsMaxDepths

    - #### iteratePositions

          protected boolean[] iteratePositions

    - #### iterate

          protected boolean iterate

    - #### dataField

          protected boolean dataField

    - #### fieldValues

          protected java.util.Map<java.lang.Object,java.lang.Object> fieldValues

    - #### axisPositions

          protected int[] axisPositions

    - #### first

          protected boolean first

    - #### maxDepths

          protected int[][] maxDepths

  - ### Constructor Detail

    - #### JROlapDataSource

          public JROlapDataSource(JRDataset dataset,
                          JROlapResult result)

  - ### Method Detail

    - #### next

          public boolean next()
                       throws JRException

      Description copied from interface: `JRDataSource`
      Tries to position the cursor on the next element in the data source.
      Specified by:
        `next` in interface `JRDataSource`
      Returns:
        true if there is a next record, false otherwise
      Throws:
        `JRException` - if any error occurs while trying to move to the next element

    - #### nextPositions

          protected boolean nextPositions()

    - #### getFieldValue

          public java.lang.Object getFieldValue(JRField jrField)
                                         throws JRException

      Convert the value of the data type of the Field
      Specified by:
        `getFieldValue` in interface `JRDataSource`
      Parameters:
        `jrField` - the Field whose type has to be converted
      Returns:
        value of field in the requested type
      Throws:
        `JRException`

    - #### getFieldMapping

          protected java.lang.String getFieldMapping(JRField field)

    - #### processMemberInfo

          protected void processMemberInfo(Member member)

    - #### getDimensionIndex

          public int getDimensionIndex(Axis axis,
                              java.lang.String dimension)

      Specified by:
        `getDimensionIndex` in interface `MappingMetadata`

    - #### matchesDimensionName

          protected boolean matchesDimensionName(JROlapHierarchy hierarchy,
                                     java.lang.String dimensionName)

    - #### getLevelDepth

          public int getLevelDepth(TuplePosition pos,
                          java.lang.String levelName)

      Specified by:
        `getLevelDepth` in interface `MappingMetadata`

    - #### setMatchMemberDepth

          protected void setMatchMemberDepth(Member memberInfo,
                                 JROlapMember member)

    - #### getTuplePosition

          public int getTuplePosition(int axisIndex,
                             Tuple tuple)

      Specified by:
        `getTuplePosition` in interface `MappingMetadata`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com